- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 23976aeb-a107-4532-8f94-591145c4a4e7
    creation_time: 2023-02-17T12:05:26.137242Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invariants/odd.c
      input_file_hashes:
        c/loop-invariants/odd.c: c6cee2eaa0864f982f519c81781a8b70fdf65a1ebdd4653c4d9daed474142246
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invariants/odd.c
    file_hash: c6cee2eaa0864f982f519c81781a8b70fdf65a1ebdd4653c4d9daed474142246
    line: 13
    column: 0
    function: main
  loop_invariant:
    string: x%2 == 1
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: c8006b25-37c0-4219-88bb-c87ee6bfcc6f
    creation_time: 2023-02-17T12:05:26.137519Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invariants/odd.c
      input_file_hashes:
        c/loop-invariants/odd.c: c6cee2eaa0864f982f519c81781a8b70fdf65a1ebdd4653c4d9daed474142246
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invariants/odd.c
    file_hash: c6cee2eaa0864f982f519c81781a8b70fdf65a1ebdd4653c4d9daed474142246
    line: 16
    column: 0
    function: main
  location_invariant:
    string: x%2 == 1
    type: assertion
    format: C

